# Signage Demo Example Layer

The layer contains a new bitbake target, core-image-signage-demo, that automatically
starts a gtk webkit based full screen browser viewport right after boot and
starts cycling through a configured set of URLs.

# DEPENDENCIES

The layer depends on the Poky metadata. For further information, please visit 
the official Yocto Project website at:
	http://www.yoctoproject.org


# DISPLAY CONFIGURATIONS

You can customize your display resolution by uncommenting the following line
from recipes-browser/one-tab-session/files/one-tab-session:
	# Modify here for the desired resolution
	# Full HD - 1920 x 1080
	#xrandr -s 1240x768
by changing the 1240x768 resolution with the one that you desire.


# PROXY CONFIGURATIONS

If you are using the application inside a network that has proxy configuration,
uncomment the lines in the /recipes-browser/one-tab-session/one-tab-session_0.1.bb.
An example config file can be found in the files folder from recipes-browser/one-tab-session.


# CHANGE THE PAGES DISPLAYED

If you want to change the URLs displayed edit PANTACOR_SIGNAGE_URLS variable
defined in recipes-browser/one-tab-session/files/one-tab-session.conf

# ENABLE TOUCHSCREEN FOR qemux86

If you want to test the image using runqemu be sure that the variable HAVE_KEYBOARD
from poky/meta/recipes-bsb/formfactor/files/*arch*/machconfig is set to 0.
[Change *arch* keyword with the machine you are testing e.g if you use a x86 machine
*arch* will be qemux86]

# BUILDING THE META-WEB-KIOSK LAYER

After you download the meta-signage-demo layer, be sure to add its location to the
bblayer.conf file.

BBLAYERS ?= "	\
	/<path>/meta	\
	/<path>/meta-yocto	\
	/<path>/meta-signage-demo	\
"

You should, now be able to build the new images
	$ . ./oe-init-build-env
	$ bitbake core-image-signage-demo


# LICENSE

All metadata is MIT licensed unless otherwise stated. Source code included
in tree for individual recipes is under the LICENSE stated in each recipe
(.bb file) unless otherwise stated.

